# This file created by conda-build 3.27.0
# ------------------------------------------------

package:
  name: libwholegraph
  version: 23.12.00
source:
  path: /__w/wholegraph/wholegraph
build:
  ignore_run_exports_from: null
  number: 0
  string: cuda12_231206_g34b185e_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hd590300_5
    - c-ares 1.23.0 hd590300_0
    - ca-certificates 2023.11.17 hbcca054_0
    - cmake 3.27.9 hcfe8598_0
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - libcurl 8.5.0 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libnghttp2 1.58.0 h47da74e_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - libuv 1.46.0 hd590300_0
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 h59595ed_2
    - openssl 3.2.0 hd590300_1
    - rhash 1.4.4 hd590300_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.5 hfc55251_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - cuda-cccl_linux-64 12.0.90 ha770c72_1
    - cuda-cudart 12.0.107 h59595ed_6
    - cuda-cudart-dev 12.0.107 h59595ed_6
    - cuda-cudart-dev_linux-64 12.0.107 h59595ed_6
    - cuda-cudart-static 12.0.107 h59595ed_6
    - cuda-cudart-static_linux-64 12.0.107 h59595ed_6
    - cuda-cudart_linux-64 12.0.107 h59595ed_6
    - cuda-driver-dev 12.0.107 h59595ed_6
    - cuda-driver-dev_linux-64 12.0.107 h59595ed_6
    - cuda-version 12.0 hffde075_2
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libstdcxx-ng 13.2.0 h7e041cc_3
  run:
    - cuda-cudart >=12.0.107,<13.0a0
    - cuda-version >=12,<13.0a0
    - libraft =23.12
    - nccl >=2.9.9
about:
  home: https://rapids.ai/
  license: Apache-2.0
  license_file: ../../../LICENSE
  summary: libwholegraph library
extra:
  copy_test_source_files: true
  final: true
